All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.entities
Interface BaseAttributeDescriptorInterface

All Superinterfaces:
  java.rmi.Remote, com.sas.RemoteObjectInterface

All Known Subinterfaces:
  AttributeDescriptorInterface, AttributeGroupInterface, AttributeTypeInterface

All Known Implementing Classes:
  ActionAttributeDescriptor, AttributeDescriptor, AttributeGroup, AttributeType, BaseAttributeDescriptor

    public interface BaseAttributeDescriptorInterface

extends com.sas.RemoteObjectInterface

Base AttributeDescriptorInterface defines a core API for AttributeDescriptors, AttributeGroups, and AttributeTypes. Each of these elements surface the same basic features:

1. name
2. label, localizable
3. description, localizable
4. small icon, localizable
5. large icon, localizable
6. customizer
7. configuration XML

Method Summary
`java.util.List` | `getAttributeCustomizerContexts()` Returns a list of customizer contexts defined for this object.
`java.util.Map` | `getAttributeCustomizers()` Returns a mapping of all of the customizers defined for this object.
`java.lang.String` | `getConfigurationXML()` Return the XML which is used to configure or constrain this object.
`java.lang.String` | `getCustomizer(java.lang.String context)` Return this object's customizer.
`java.lang.String` | `getDescription(java.util.Locale locale)` Return the description of this object; this is the description which the user will see in a UI (User Interface) component.
`java.util.Map` | `getDescriptions()` Returns a mapping of all of the descriptions defined for this object.
`java.lang.String` | `getLabel(java.util.Locale locale)` Return the label of this object; this is the name which will the user will see in a UI (User Interface) component.
`java.util.Map` | `getLabels()` Returns a mapping of all of the labels defined for this object.
`java.lang.String` | `getLargeIconURL(java.util.Locale locale)` Return a URL that contains the large icon representing this object.
`java.util.Map` | `getLargeIconURLs()` Returns a mapping of all of the large icon URLs defined for this object.
`java.lang.String` | `getName()` Return the name of this object.
`java.lang.String` | `getSmallIconURL(java.util.Locale locale)` Return a URL that contains the small icon representing this object.
`java.util.Map` | `getSmallIconURLs()` Returns a mapping of all of the small icon URLs defined for this object.
`void` | `setConfigurationXML(java.lang.String configurationXML)` Assign XML which can be used to configure or constrain this object.
`void` | `setCustomizer(java.lang.String context, java.lang.String customizer)` Set the customizer for a specific context.
`void` | `setDescription(java.util.Locale locale, java.lang.String description)` Set the description of this object;this is the description which the user will see in a UI (User Interface) component.
`void` | `setLabel(java.util.Locale locale, java.lang.String label)` Set the label of this object; this is the name which will the user will see in a UI (User Interface) component.
`void` | `setLargeIconURL(java.util.Locale locale, java.lang.String largeIconURL)` Set a locale-sensitive URL that contains the large icon representing this object.
`void` | `setName(java.lang.String name)` Set the name of this object.
`void` | `setSmallIconURL(java.util.Locale locale, java.lang.String smallIconURL)` Set a locale-sensitive URL that contains the small icon representing this object.

Method Detail

### getName

    java.lang.String getName()

  Return the name of this object. This is an identifier and is not locale sensitive.

  Returns:
    object name
  See Also:
    `setName(String name)`

### setName

    void setName(java.lang.String name)

  Set the name of this object. This is an identifier and is not locale sensitive.

  Parameters:
    `name` - object name
  See Also:
    `getName()`

### getLabel

    java.lang.String getLabel(java.util.Locale locale)

  Return the label of this object; this is the name which will the user will see in a UI (User Interface) component. It is a locale-sensitive string. If no label is associated with the locale, then the label associated with the null locale is returned. If that does not exist, the `name` is returned.

  Parameters:
    `locale` - the locale with which the label is associated. This parameter may be null.
  Returns:
    object label
  See Also:
    `setLabel(Locale locale, String label)`

### setLabel

    void setLabel(java.util.Locale locale,
                  java.lang.String label)

  Set the label of this object; this is the name which will the user will see in a UI (User Interface) component. It is a locale-sensitive string.

  Parameters:
    `locale` - the locale with which the label is associated. This parameter may be null.
    `label` - the visible name
  See Also:
    `getLabel(Locale locale)`

### getLabels

    java.util.Map getLabels()

  Returns a mapping of all of the labels defined for this object. The first item of each entry is the locale and the second item is the label.

  Returns:
    label map

### getDescription

    java.lang.String getDescription(java.util.Locale locale)

  Return the description of this object; this is the description which the user will see in a UI (User Interface) component. It is a locale-sensitive string. If no description is associated with the locale, then the description associated with the null locale is returned. If that does not exist, the `name` is returned.

  Parameters:
    `locale` - the locale with which this description is associated. This may be null.
  Returns:
    object description
  See Also:
    `setDescription(Locale locale, String description)`

### setDescription

    void setDescription(java.util.Locale locale,
                        java.lang.String description)

  Set the description of this object;this is the description which the user will see in a UI (User Interface) component.

  Parameters:
    `locale` - the locale with which this description is associated. This may be null.
    `description` - description of the object
  See Also:
    `getDescription(Locale locale)`

### getDescriptions

    java.util.Map getDescriptions()

  Returns a mapping of all of the descriptions defined for this object. The first item of each entry is the locale and the second item is the description.

  Returns:
    description map

### getCustomizer

    java.lang.String getCustomizer(java.lang.String context)

  Return this object's customizer. A customizer is a standalone editor used to customize or edit a value. It does not reside inside a UI (User Interface) element as an editor does, but defines its own window.

  Parameters:
    `context` - the context in which the customizer is instantiated/used; it is a platform specification from `EntityContextInterface`
  Returns:
    object customizer
  See Also:
    `setCustomizer(String context, String customizer)`, `EntityContextInterface`

### setCustomizer

    void setCustomizer(java.lang.String context,
                       java.lang.String customizer)

  Set the customizer for a specific context.

  Parameters:
    `context` - the context in which the customizer is instantiated/used; it is a platform specification from `EntityContextInterface`
    `customizer` - the name of the customizer
  See Also:
    `getCustomizer(String context)`, `EntityContextInterface`

### getAttributeCustomizers

    java.util.Map getAttributeCustomizers()

  Returns a mapping of all of the customizers defined for this object. The first item of each entry is the context and the second item is the class name of the customizer.

  Returns:
    customizer map

### getAttributeCustomizerContexts

    java.util.List getAttributeCustomizerContexts()

  Returns a list of customizer contexts defined for this object.

  Returns:
    customizer map

### getConfigurationXML

    java.lang.String getConfigurationXML()

  Return the XML which is used to configure or constrain this object. This XML can be used by this object's validators, editors, and customizers.

  Returns:
    this object's configuration XML.
  See Also:
    `setConfigurationXML(String configurationXML)`

### setConfigurationXML

    void setConfigurationXML(java.lang.String configurationXML)

  Assign XML which can be used to configure or constrain this object.

  Parameters:
    `configurationXML` - the XML configuration for this object
  See Also:
    `getConfigurationXML()`

### getSmallIconURL

    java.lang.String getSmallIconURL(java.util.Locale locale)

  Return a URL that contains the small icon representing this object.

  Parameters:
    `locale` - the locale in which to express the small icon. If no small icon URL is associated with the locale, then the small icon URL associated with the null locale is returned. If that does not exist, then null is returned.
  Returns:
    this object's small icon.
  See Also:
    `setSmallIconURL(Locale locale, String smallIconURL)`

### setSmallIconURL

    void setSmallIconURL(java.util.Locale locale,
                         java.lang.String smallIconURL)

  Set a locale-sensitive URL that contains the small icon representing this object.

  Parameters:
    `locale` - the locale in which to express the small icon. This may be null.
    `smallIconURL` - the icon's url
  See Also:
    `getSmallIconURL(Locale locale)`

### getSmallIconURLs

    java.util.Map getSmallIconURLs()

  Returns a mapping of all of the small icon URLs defined for this object. The first item of each entry is the locale and the second item is the small icon URL.

  Returns:
    map of small icon URLs

### getLargeIconURL

    java.lang.String getLargeIconURL(java.util.Locale locale)

  Return a URL that contains the large icon representing this object.

  Parameters:
    `locale` - the locale in which to express the icon. If no large icon URL is associated with the locale, then the large icon URL associated with the null locale is returned. If that does not exist, then null is returned.
  Returns:
    this object's large icon.
  See Also:
    `setLargeIconURL(Locale locale, String largeIconURL)`

### setLargeIconURL

    void setLargeIconURL(java.util.Locale locale,
                         java.lang.String largeIconURL)

  Set a locale-sensitive URL that contains the large icon representing this object.

  Parameters:
    `locale` - the locale in which to express the large icon. This may be null.
    `largeIconURL` - the icon's url
  See Also:
    `getLargeIconURL(Locale locale)`

### getLargeIconURLs

    java.util.Map getLargeIconURLs()

  Returns a mapping of all of the large icon URLs defined for this object. The first item of each entry is the locale and the second item is the large icon URL.

  Returns:
    map of large icon URLs

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.